SSTableWriter.TransactionalProxy (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.io.sstable.format

## Class SSTableWriter.TransactionalProxy

- java.lang.Object
- - org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional
  - - org.apache.cassandra.io.sstable.format.SSTableWriter.TransactionalProxy

- All Implemented Interfaces:
    java.lang.AutoCloseable, Transactional
  Enclosing class:
    SSTableWriter

      protected abstract class SSTableWriter.TransactionalProxy
      extends Transactional.AbstractTransactional

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional

      `Transactional.AbstractTransactional.State`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.concurrent.Transactional

      `Transactional.AbstractTransactional`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SSTableReader` | `finalReader`
    `protected boolean` | `openResult`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TransactionalProxy()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional

      `abort, abort, close, commit, commit, doAbort, doCommit, doPostCleanup, doPreCleanup, doPrepare, finish, permitRedundantTransitions, prepareToCommit, state`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### finalReader

          protected SSTableReader finalReader

    - #### openResult

          protected boolean openResult

  - ### Constructor Detail

    - #### TransactionalProxy

          protected TransactionalProxy()

Copyright © 2018 The Apache Software Foundation